SCP(1)

NAZWA
scp - bezpieczne kopiowanie (program zdalnego kopiowania plików)

SKŁADNIA
scp [-12346BCpqrv] [-c szyfr] [-F plik_konfig_ssh] [-i plik_tożsamości] [-l limit] [-o opcja_ssh] [-P port] [-S program] [ [użytkownik@] komp1: ]plik1 ... [ [użytkownik@] komp2: ]plik2

OPIS
scp kopiuje pliki między komputerami w sieci. Do transferu danych używa ssh(1) i wykorzystuje tę samą autoryzację oraz daje takie samo bezpieczeństwo jak ssh(1). scp pyta w razie potrzeby o hasła uwierzytelniające.

Wszelkie nazwy plików mogą zawierać specyfikacje komputera i użytkownika, określające, że plik jest kopiowany do/z tego komputera. Nazwy lokalnych plików mogą być podawane wprost przy użyciu bezwzględnych lub względnych nazw ścieżek, tak aby scp nie traktował nazw zawierających znak ‘’: jako określeń komputerów. Dozwolone jest również kopiowanie między dwoma zdalnymi komputerami.

Dostępne są następujące opcje:

-1  Wymusza na scp użycie pierwszej wersji protokołu.

-2  Wymusza na scp użycie drugiej wersji protokołu.

-3  Kopiowanie pomiędzy dwoma zdalnymi komputerami jest wykonywane poprzez komputer lokalny. Bez tej opcji dane są kopiowane bezpośrednio pomiędzy dwoma komputerami. Proszę zauważyć, że ta opcja wyłącza pasek postępu.

-4  Wymusza na scp używanie tylko adresów IPv4.

-6  Wymusza na scp używanie tylko adresów IPv6.

-B  Wybiera tryb wsadowy (nie pyta o hasła i frazy kodujące).

-C  Włączenie kompresji. Przekazuje flagę -C do programu ssh(1), włączającą kompresję danych.

-c szyfr
    Wybiera szyfr używany do kodowania danych. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-F plik_konfig_ssh
    Określa alternatywny plik konfiguracyjny ssh. Ta opcja jest bezpośrednio przekazywana do ssh(1).

-i plik_tożsamości
    Wybiera plik, z którego odczytywana jest tożsamość (klucz prywatny) dla uwierzytelnienia za pomocą klucza publicznego. Opcja ta jest przekazywana bezpośrednio do ssh(1).

-l limit
    Określa maksymalną prędkość transferu danych podaną w Kbit/s.

-o opcje_ssh
    Może być użyte do przekazania opcji programowi ssh w formacie opisanym w ssh_config(5). Opcja ta jest użyteczna do przekazywania opcji, dla których nie ma osobnej flagi linii poleceń w programie scp. Szczegółowe informacje o podanych niżej opcjach i ich możliwych wartościach można znaleźć w podręczniku ssh_config(5).

    AddressFamily
    BatchMode
    BindAddress
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    ChallengeResponseAuthentication
    CheckHostIP
    Cipher
    Ciphers
    Compression
    CompressionLevel
    ConnectionAttempts
    ConnectTimeout
    ControlMaster
    ControlPath
    ControlPersist
    GlobalKnownHostsFile
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    HashKnownHosts
    Host
    HostbasedAuthentication
    HostKeyAlgorithms
    HostKeyAlias
    HostName
    IdentityFile
    IdentitiesOnly
    IPQoS
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    LogLevel
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    PasswordAuthentication
    PKCS11Provider
    Port
    PreferredAuthentications
    Protocol
    ProxyCommand
    PubkeyAuthentication
    RekeyLimit
    RhostsRSAAuthentication
    RSAAuthentication
    SendEnv
    ServerAliveInterval
    ServerAliveCountMax
    StrictHostKeyChecking
    TCPKeepAlive
    UsePrivilegedPort
    User
    UserKnownHostsFile
    VerifyHostKeyDNS

-P port
    Podaje port, do którego należy się podłączyć na zdalnym hoście. Proszę zauważyć, że opcja ta jest napisana jako wielkie ‘P’, gdyż -p już jest zarezerwowane dla zachowywania czasów modyfikacji i praw dostępu plików.

-p  Zachowuje czasy modyfikacji oraz dostępu i prawa oryginalnego pliku.

-q  Tryb cichy: wyłącza pasek postępu oraz ostrzeżenia i komunikaty diagnostyczne z programu ssh(1).

-r  Rekursywnie kopiuje całe katalogi. Proszę zauważyć, że scp podąża za dowiązaniami symbolicznymi napotkanymi podczas przechodzenia po drzewie katalogów.

-S program
    Nazwa programu używanego do tworzenia zakodowanego połączenia. Program ten musi przyjmować opcje ssh(1),

-v  Tryb gadatliwy. Powoduje, że scp i ssh(1) drukują komunikaty debugowe o swoim działaniu. Jest to przydatne w diagnozowaniu problemów z połączeniem, autoryzacją i konfiguracją.

KOD ZAKOŃCZENIA
scp kończy pracę z kodem 0, jeżeli wszystko odbyło się pomyślnie, lub z kodem >0 w razie wystąpienia błędu.

ZOBACZ TAKŻE
sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sshd(8)

HISTORIA
scp jest oparty na programie rcp o kodzie źródłowym pochodzącym z BSD, do którego prawa należą do władz Uniwersytetu Kalifornijskiego.

AUTORZY
Timo Rinne <tri@iki.fi>, Tatu Ylonen <ylo@cs.hut.fi>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.
Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 6.7p1 oryginału.